[@rxap/form-system](../wiki/globals) / ExtractControlMixin

# Class: ExtractControlMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:8](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L8)

## Extended by

- [`ExtractIsValueFunctionMixin`](../wiki/Class.ExtractIsValueFunctionMixin)
- [`ExtractOptionsDataSourceMixin`](../wiki/Class.ExtractOptionsDataSourceMixin)
- [`ExtractOptionsMethodMixin`](../wiki/Class.ExtractOptionsMethodMixin)
- [`ExtractResolveMethodMixin`](../wiki/Class.ExtractResolveMethodMixin)
- [`ExtractToDisplayFunctionMixin`](../wiki/Class.ExtractToDisplayFunctionMixin)

## Constructors

### new ExtractControlMixin()

> **new ExtractControlMixin**(): [`ExtractControlMixin`](../wiki/Class.ExtractControlMixin)

#### Returns

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin)

## Properties

### control?

> `protected` `optional` **control**: `RxapFormControl`\<`any`, `any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L14)

***

### matFormField?

> `protected` `optional` **matFormField**: `null` \| `MatFormField`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L12)

***

### ngControl

> `protected` **ngControl**: `null` \| `NgControl` \| `AbstractControlDirective`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L10)

## Methods

### extractControl()

> `protected` **extractControl**(`ngControl`): `RxapFormControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L16)

#### Parameters

##### ngControl

`null` | `NgControl` | `AbstractControlDirective`

#### Returns

`RxapFormControl`
